
############# meta-analysis on the whole dataset ###########
       
       data=read.table("data_meta_analyse_global.txt", h=T)
       attach(data)
       names(data)
       library(MCMCglmm)
       
       prior1 <- list(G = list(G1 = list(V = 1, nu = 0.002)),  R = list(V = 1, n = 0.002))

       ### whole effect
       mod_null=MCMCglmm(fixed = Zr ~ 1, random =~  study, nitt=15000000,burnin = 5000000,mev =VarZr,
                     data = data, prior=prior1)
       summary(mod_null)

      ### Taxonomic effet
       mod_taxon=MCMCglmm(fixed = Zr ~ Taxon, random =~  study, nitt=15000000,burnin = 5000000,mev =VarZr,
                     data = data, prior=prior1)
       summary(mod_taxon)
       
       ### Dispersal mode effet
       
       mod_dispersal=MCMCglmm(fixed = Zr ~ Dispersal_mode, random =~  study, nitt=15000000,burnin = 5000000,mev =VarZr,
                     data = data, prior=prior1)
       summary(mod_dispersal)
 
############# meta-analysis on fish species ###########
  library(MuMIn)
  data_fish=read.table("meta_analysis_fish.txt", h=TRUE)
  attach(data_fish)
  
## remove data with NA
  data_fish_clean=data[-c(23,51,52,61),]
  attach(data_fish_clean)      

prior1 <- list(G = list(G1 = list(V = 1, nu = 0.002)),  R = list(V = 1, n = 0.002))
       
model=dredge(MCMCglmm(fixed = Zr ~ migratory_type+habitat_use+scale(Max_length)+scale(Generation_time)+scale(shape_factor)+scale(swimming_factor), 
                         random =~  species, nitt=5000000,burnin = 1500000,mev =VarZr,
                         data = data_fish_clean, prior=prior1), rank="DIC")
   
       x=summary(model.avg(model, subset=delta<=4))


############# meta-analysis on FST ###########
       
       data_fst=read.table("Fst_meta.txt", h=TRUE)
       attach(data_fst)

       prior1 <- list(G = list(G1 = list(V = 1, nu = 0.002)),  R = list(V = 1, n = 0.002))
              
       mod_fst=MCMCglmm(fixed = Zr ~ 1, random =~ dataset, nitt=15000000,burnin = 5000000,mev =var,
                     data = data_fst, prior=prior1)
       summary(mod_fst)